Java Web Stack
==============
Creating java web applications can be frustrating. In order to start development 
one usually spends lots of time on wiring up core technologies via maven just
to be able to produce "Hello, World!". 
This stack combines "good" Java libraries to make the setup process as quick 
and painless as possible.

The Java Web Stack consists of

* Web server -- jetty 6
* ORM persistence engine -- ebeans + h2
* Web presentation framework -- Stripes
* (Web) test framework -- JUnit + htmlunit
* Logging -- log4j
* Dependency Injection -- guice
* Javascript library -- jquery

and sensible default configurations to be able to start development immediately.

Usage
=====

Cloning
-------
Clone the repository and create a new branch. Update _pom.xml_ with your 
custom project settings and add your custom dependencies (if you have any).

Running the server
------------------
You can start the stack by executing _mvn jetty:run_. The web server runs on 
_http://localhost:8080_ and there is already a default context registered at 
'/' pointing to _/src/main/webapp/index.jsp_.

Testing
-------
Tests are executed by running _mvn test_.

Packaging
---------
A war file containing all necessary dependencies is created by running 
_mvn compile war:war_.

Requirements
============
* Java 6
* Maven