package jwebstack.servlet;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

import jwebstack.module.SystemModule;


import com.google.inject.Guice;
import com.google.inject.Injector;

public abstract class AbstractFilter implements Filter {
	private Injector injector;

	@Override
	public void init(FilterConfig filterConfig) throws ServletException {
		injector = Guice.createInjector(new SystemModule());
	}

	@Override
	public void destroy() {

	}

	@Override
	public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain)
			throws IOException, ServletException {
		injector.injectMembers(this);
		filterChain.doFilter(servletRequest, servletResponse);
	}
}