package jwebstack.servlet;

import java.io.IOException;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

public class ProfilingFilter extends AbstractFilter {
	@Override
	public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain)
			throws IOException, ServletException {
		HttpServletRequest httpServletRequest = (HttpServletRequest) servletRequest;
		long start = System.currentTimeMillis();
		filterChain.doFilter(servletRequest, servletResponse);
		long end = System.currentTimeMillis();
		String url = httpServletRequest.getRequestURL().toString();
		System.out.println(url + " processed in " + (end - start) + " ms");
	}
}
