package jwebstack.stripes;

import jwebstack.module.Modules;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.config.ConfigurableComponent;
import net.sourceforge.stripes.config.Configuration;
import net.sourceforge.stripes.controller.ExecutionContext;
import net.sourceforge.stripes.controller.Interceptor;
import net.sourceforge.stripes.controller.Intercepts;
import net.sourceforge.stripes.controller.LifecycleStage;

import com.google.inject.Guice;
import com.google.inject.Injector;

@Intercepts(LifecycleStage.ActionBeanResolution)
public class GuiceInterceptor implements Interceptor, ConfigurableComponent {
	private Injector injector;

	@Override
	public Resolution intercept(ExecutionContext context) throws Exception {
		injector.injectMembers(context.getActionBeanContext());
		Resolution resolution = context.proceed();
		injector.injectMembers(context.getActionBean());
		return resolution;
	}

	@Override
	public void init(Configuration configuration) throws Exception {
		this.injector = Guice.createInjector(Modules.list());
	}
}
