package jwebstack.system;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class InMemoryCacheService implements CacheService {
	private final Map<String, Object> cache = Collections.synchronizedMap(new HashMap<String, Object>());

	@Override
	public void clear() {
		cache.clear();
	}

	@Override
	public void clear(String key) {
		cache.put(key, null);
	}

	@Override
	public Object get(String key) {
		return cache.get(key);
	}

	@Override
	public void put(String key, Object value) {
		cache.put(key, value);
	}

	@Override
	public boolean containsKey(String key) {
		return cache.containsKey(key);
	}
}
