package jwebstack.domain;

import java.util.List;

import jwebstack.BaseTestCase;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;


import com.avaje.ebean.Ebean;

public class DomainTestCase extends BaseTestCase {
	@Before
	@After
	public void clearTestDataBase() {
		Ebean.delete(findPersons());
	}
		
	@Test
	public void testPersistAndRetrieveSimpleModel() {
		Person p = new Person();
		p.setName("test");
		Ebean.save(p);
		
		assertEquals(1, findPersons().size());
	}
	
	@Test
	public void testPersistNameTwice() {
		try {
			for (int i = 0; i < 2; i++) {
				Person p = new Person();
				p.setName("name");
				Ebean.save(p);
			}
			
			fail();
		} catch (Exception e) {}
	}
	
	private List<Person> findPersons() {
		return Ebean.find(Person.class).findList();
	}
}
