package jwebstack.frontend;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.junit.Test;

import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlPage;

public class TestPerformanceTestCase extends FrontendTestCase {
    private static final int THREADS = 10;

    @Test
    public void testPerformanceOnTest() throws Exception {
        List<Thread> threads = new ArrayList<Thread>();
        final List<Long> times = Collections.synchronizedList(new ArrayList<Long>());

        for (int i = 0; i < THREADS; i++) {
            threads.add(new Thread() {
                @Override
                public void run() {
                    try {
                    	WebClient threadLocalWebClient = new WebClient();
                        long start = System.currentTimeMillis();
						HtmlPage page = threadLocalWebClient.getPage(getUrl("test"));
                        long end = System.currentTimeMillis();
                        times.add(end - start);
                        String content = page.getWebResponse().getContentAsString();
                        assertEquals("Foo", content);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            });
        }

        for (Thread t : threads) {
            t.start();
        }

        for (Thread t : threads) {
            t.join();
        }

        Long sum = 0l;
        System.out.print("Requests: [");
        for (Long l : times) {
            sum += l;
            System.out.print(" " + l);
        }
        System.out.println(" ] (in ms)");
        System.out.println("Avg. request time: " + sum / times.size() + " ms (" + sum + " / " + times.size() + ")");
    }
}
