package jwebstack.system;

import jwebstack.BaseTestCase;
import jwebstack.system.CacheService;

import org.junit.Test;



import com.google.inject.Inject;

public class CacheServiceTestCase extends BaseTestCase {
	@Inject
	private CacheService cacheService;

	@Test
	public void testCacheServiceIsInjected() {
		assertNotNull(cacheService);
	}

	@Test
	public void testRetrieveCachedValue() {
		cacheService.put("key", "value");
		assertTrue(cacheService.containsKey("key"));
		assertEquals("value", cacheService.get("key"));
	}
	
	@Test
	public void testRetrieveUncachedValue() {
		assertNull(cacheService.get("not stored"));
	}
	
	@Test
	public void testClearCache() {
		cacheService.put("key", "value");
		cacheService.clear();
		assertNull(cacheService.get("key"));
	}
	
	@Test
	public void testClearCacheForKey() {
		cacheService.put("key", "value");
		cacheService.clear("key");
		assertNull(cacheService.get("key"));
	}
}
